Bug 815810 - [RFE] history of bash is lost running multiple instances in parallel
[RFE] history of bash is lost running multiple instances in parallel
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 10:50 EDT by Account closed by user
Modified: 2012-07-13 07:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 07:01:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Account closed by user 2012-04-24 10:50:38 EDT
add "shopt -s histappend" to /etc/bashrc to avoid it.

histappend:
If set, the history list is appended to the file named by the value of  the HISTFILE  variable  when  the  shell exits, rather than overwriting the file.
Comment 1 Ondrej Vasik 2012-04-24 18:04:11 EDT
Thanks for the suggestion. I'm just thinking why it was not added there earlier. Only thing I can think about is the potential privacy reason - and for root user potentially maybe even security reasons. Maybe it would be better to add it into /etc/skel/.bashrc - so it will get active for common users, but will be not used for the root.
Comment 2 Ondrej Vasik 2012-04-24 18:05:25 EDT
Adding bash maintainer to CC, Roman, what do you think about this RFC?
Comment 3 Roman Rakus 2012-04-25 09:34:28 EDT
I have nothing against it. I'm not sure about any privacy nor security reasons.
Comment 4 Account closed by user 2012-06-13 07:18:57 EDT
also "history -a" is needed in bashrc.
Comment 5 Ondrej Vasik 2012-07-13 07:01:27 EDT
Done in setup-2.8.56-1.fc18, closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.